var __extends=this&&this.__extends||function(d,b){function __(){this.constructor=d}for(var p in b)b.hasOwnProperty(p)&&(d[p]=b[p]);d.prototype=null===b?Object.create(b):(__.prototype=b.prototype,new __)},JSONRPC2;!function(JSONRPC2){var Helper;!function(Helper){var GUID=function(){function GUID(){}return GUID.generate=function(){return"xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(/[xy]/g,function(c){var r=16*Math.random()|0,v="x"==c?r:3&r|8;return v.toString(16)})},GUID}();Helper.GUID=GUID}(Helper=JSONRPC2.Helper||(JSONRPC2.Helper={}))}(JSONRPC2||(JSONRPC2={}));var JSONRPC2;!function(JSONRPC2){var Helper;!function(Helper){var LoggerType;!function(LoggerType){LoggerType[LoggerType.LOG=0]="LOG",LoggerType[LoggerType.DEBUG=1]="DEBUG",LoggerType[LoggerType.ERROR=2]="ERROR",LoggerType[LoggerType.INFO=3]="INFO",LoggerType[LoggerType.WARN=4]="WARN"}(LoggerType=Helper.LoggerType||(Helper.LoggerType={}));var Logger=function(){function Logger(){}return Logger.log=function(){for(var messages=[],_i=0;_i<arguments.length;_i++)messages[_i]=arguments[_i];Logger.write(LoggerType.LOG,messages)},Logger.debug=function(){for(var messages=[],_i=0;_i<arguments.length;_i++)messages[_i]=arguments[_i];Logger.write(LoggerType.DEBUG,messages)},Logger.error=function(){for(var messages=[],_i=0;_i<arguments.length;_i++)messages[_i]=arguments[_i];Logger.write(LoggerType.ERROR,messages)},Logger.info=function(){for(var messages=[],_i=0;_i<arguments.length;_i++)messages[_i]=arguments[_i];Logger.write(LoggerType.INFO,messages)},Logger.warn=function(){for(var messages=[],_i=0;_i<arguments.length;_i++)messages[_i]=arguments[_i];Logger.write(LoggerType.WARN,messages)},Logger.write=function(type,messages){var date=Logger.getDate();messages.unshift("["+date+"]"),console[Logger.types[type]].apply(console,messages)},Logger.getDate=function(){var date=new Date;return[("0"+date.getDate()).slice(-2),("0"+(date.getMonth()+1)).slice(-2),date.getFullYear()].join("-")+" "+[("0"+date.getHours()).slice(-2),("0"+date.getMinutes()).slice(-2),("0"+date.getSeconds()).slice(-2)].join(":")},Logger}();Logger.types=["log","debug","error","info","warn"],Helper.Logger=Logger}(Helper=JSONRPC2.Helper||(JSONRPC2.Helper={}))}(JSONRPC2||(JSONRPC2={}));var JSONRPC2;!function(JSONRPC2){var Transport;!function(Transport){var Logger=JSONRPC2.Helper.Logger,HTTPConfig=function(){function HTTPConfig(){this.headers={Accept:"application/json","Content-Type":"application/json"}}return HTTPConfig}();Transport.HTTPConfig=HTTPConfig;var HTTP=function(){function HTTP(config){this.config=config}return HTTP.prototype.setup=function(){},HTTP.prototype.close=function(){},HTTP.prototype.send=function(request){jQuery.ajax({type:"POST",url:this.config.url,dataType:"text",data:request,headers:this.config.headers,success:function(data,textStatus,jqXHR){this.handlers.forEach(function(handler){handler(data)})},error:function(jqXHR,textStatus,errorThrown){Logger.error("Error:",errorThrown,textStatus)}})},HTTP.prototype.addHandler=function(callback){this.handlers.push(callback)},HTTP}();Transport.HTTP=HTTP}(Transport=JSONRPC2.Transport||(JSONRPC2.Transport={}))}(JSONRPC2||(JSONRPC2={}));var JSONRPC2;!function(JSONRPC2){var Transport;!function(Transport){var Logger=JSONRPC2.Helper.Logger,Websocket=function(){function Websocket(config){this.handlers=[],this.reconnectionAttempts=0,this.timeout=0,this.wasReached=!1,this.isConnected=!1,this.isConnecting=!1,this.options={url:config.url,alwaysReconnectOnClose:config.alwaysReconnectOnClose||!1,reconnectionInterval:config.reconnectionInterval||1e3,maxReconnectionInterval:config.maxReconnectionInterval||3e4,reconnectDecay:config.reconnectDecay||2,maxReconnectAttempts:config.maxReconnectAttempts||0,onOpenHandler:config.onOpenHandler||null}}return Websocket.prototype.setup=function(){this.isConnected||this.isConnecting||this.connect()},Websocket.prototype.close=function(){this.socket.close(1e3),this.wasReached=!1},Websocket.prototype.connect=function(){return this.isConnected?void Logger.warn("[Websocket]","Connection had been already established."):(Logger.info("[Websocket]","Connecting to",this.options.url),this.isConnecting=!0,this.socket=new WebSocket(this.options.url),this.socket.addEventListener("open",this.onOpen.bind(this)),this.socket.addEventListener("close",this.onClose.bind(this)),this.socket.addEventListener("error",this.onError.bind(this)),void this.socket.addEventListener("message",this.onMessage.bind(this)))},Websocket.prototype.reconnect=function(){this.options.maxReconnectAttempts&&this.reconnectionAttempts>this.options.maxReconnectAttempts||(this.options.maxReconnectAttempts?Logger.info("[Websocket]","Reconnecting ("+this.reconnectionAttempts+" of "+this.options.maxReconnectAttempts+")..."):Logger.info("[Websocket]","Reconnecting..."),this.connect())},Websocket.prototype.onOpen=function(ev){Logger.info("[Websocket]","Connection established."),this.reconnectionAttempts=0,this.timeout=0,this.isConnecting=!1,this.isConnected=!0,this.wasReached||(this.wasReached=!0),this.options.onOpenHandler&&this.options.onOpenHandler()},Websocket.prototype.onClose=function(ev){if(this.isConnected=!1,ev.wasClean&&1e3===ev.code){if(Logger.info("[Websocket]","The connection has closed normally.","Code:",ev.code,"Reason:",'"'+ev.reason+'"'),!this.options.alwaysReconnectOnClose)return}else 0==this.reconnectionAttempts&&this.wasReached?Logger.info("[Websocket]","The connection has been lost.","Code:",ev.code,"Reason:",'"'+ev.reason+'"'):Logger.info("[Websocket]","The server cannot be reached.");this.timeout=Math.floor(this.options.reconnectionInterval*Math.pow(this.options.reconnectDecay,this.reconnectionAttempts)),setTimeout(function(){this.reconnectionAttempts++,this.reconnect()}.bind(this),this.timeout>this.options.maxReconnectionInterval?this.options.maxReconnectionInterval:this.timeout)},Websocket.prototype.onError=function(ev){Logger.error("[Websocket]",ev)},Websocket.prototype.onMessage=function(ev){var data=ev.data;this.handlers.forEach(function(handler){handler(data)})},Websocket.prototype.isReady=function(){var dfd=jQuery.Deferred(),waitForState=function(){this.isConnected&&this.socket.readyState===WebSocket.OPEN?dfd.resolve(!0):setTimeout(waitForState,5)}.bind(this);return waitForState(),dfd.promise()},Websocket.prototype.send=function(request){this.isReady().then(function(){this.socket.send(request)}.bind(this))},Websocket.prototype.addHandler=function(callback){this.handlers.push(callback)},Websocket}();Transport.Websocket=Websocket}(Transport=JSONRPC2.Transport||(JSONRPC2.Transport={}))}(JSONRPC2||(JSONRPC2={}));var JSONRPC2;!function(JSONRPC2){JSONRPC2.VERSION="2.0",JSONRPC2.ErrParseError={code:-32700,message:"Parse error"},JSONRPC2.ErrInvalidRequest={code:-32600,message:"Invalid Request"},JSONRPC2.ErrMethodNotFound={code:-32601,message:'Method "{0}" not found'},JSONRPC2.ErrInternalError={code:-32603,message:"Internal error"}}(JSONRPC2||(JSONRPC2={}));var JSONRPC2;!function(JSONRPC2){var Logger=JSONRPC2.Helper.Logger,Client=function(){function Client(transport){this.transport=transport,this.promises=[],this.debug=!1,this.transport.addHandler(this.handleResponse.bind(this)),this.transport.setup()}return Client.prototype.useDebug=function(debug){return this.debug=debug,1==debug&&Logger.info("[Client]","Debug enabled"),this},Client.prototype.execute=function(req){var dfd=jQuery.Deferred(),data=req.toJson();return this.debug&&Logger.debug("[Client]","[Request]",data),this.promises.push([req.getID(),dfd]),this.transport.send(data),dfd.promise()},Client.prototype.handleResponse=function(data){if(JSONRPC2.Validator.isResponsePacket(data)){this.debug&&Logger.debug("[Client]","[Response]",data);var res=JSONRPC2.Model.ServerResponse.fromJson(data),resolve=!0;if(res instanceof JSONRPC2.Model.Error){if(resolve=!1,res.getCode()===JSONRPC2.ErrParseError.code)return void Logger.error("Parse error:",data);if(res.getCode()===JSONRPC2.ErrInvalidRequest.code)return void Logger.error("Invalid Request:",data)}for(var i=0;i<this.promises.length;++i)if(this.promises[i][0]===res.getID()){resolve?this.promises[i][1].resolve(res.getResult()):this.promises[i][1].reject(res.getError()),this.promises.splice(i,1);break}}},Client.prototype.closeConnection=function(){this.transport.close()},Client}();JSONRPC2.Client=Client}(JSONRPC2||(JSONRPC2={}));var JSONRPC2;!function(JSONRPC2){var Logger=JSONRPC2.Helper.Logger,Server=function(){function Server(transport){this.receivers={},this.debug=!1,this.transport=transport,this.transport.addHandler(this.handleRequest.bind(this)),this.transport.setup(),Logger.info("[Server]","Server is started")}return Server.prototype.useDebug=function(debug){return this.debug=debug,1==debug&&Logger.info("[Server]","Debug enabled"),this},Server.prototype.handleRequest=function(data){if(JSONRPC2.Validator.isRequestPacket(data)){this.debug&&Logger.debug("[Server]","[Request]",data);var pkt=JSONRPC2.Model.ClientRequest.fromJson(data);pkt instanceof JSONRPC2.Model.Error&&this.sendResponse(pkt);var responsePromise=this.executeRequest(pkt);pkt instanceof JSONRPC2.Model.Request&&responsePromise.always(function(pkt){this.sendResponse(pkt)}.bind(this))}},Server.prototype.sendResponse=function(pkt){this.debug&&Logger.debug("[Server]","[Response]",pkt.toJson()),this.transport.send(pkt.toJson())},Server.prototype.executeRequest=function(req){var dfd=jQuery.Deferred(),tmp=req.getMethod().split(".",2),rcvrName=tmp[0],rcvrFuncName=tmp[1];if(!(rcvrName in this.receivers)){var err=JSONRPC2.ErrMethodNotFound;return err.message=err.message.replace("{0}",req.getMethod()),dfd.reject(new JSONRPC2.Model.Error(err,req.getID()))}var rcvr=this.receivers[rcvrName],rcvrMethod=rcvr[rcvrFuncName];return setTimeout(function(){if("undefined"==typeof rcvrMethod){var err=JSONRPC2.ErrMethodNotFound;err.message=err.message.replace("{0}",req.getMethod()),dfd.reject(new JSONRPC2.Model.Error(err,req.getID()))}var rcvrResult;try{rcvrResult=rcvrMethod(req.getParams())}catch(e){var err=JSONRPC2.ErrInternalError;e.message&&(err=jQuery.extend(err,{data:{reason:e.message}})),dfd.reject(new JSONRPC2.Model.Error(err,req.getID()))}dfd.resolve(new JSONRPC2.Model.Response(rcvrResult,req.getID()))}.bind(this),0),dfd.promise()},Server.prototype.register=function(name,rcvr){this.receivers[name]=rcvr},Server}();JSONRPC2.Server=Server}(JSONRPC2||(JSONRPC2={}));var JSONRPC2;!function(JSONRPC2){var Validator=function(){function Validator(){}return Validator.isRequestPacket=function(data){return data.indexOf('"method":')>0},Validator.isResponsePacket=function(data){return data.indexOf('"result":')>0||data.indexOf('"error":')>0},Validator.tryParseJSON=function(data){var json;try{json=JSON.parse(data)}catch(e){return{valid:!1}}return{json:json,valid:!0}},Validator}();JSONRPC2.Validator=Validator}(JSONRPC2||(JSONRPC2={}));var JSONRPC2;!function(JSONRPC2){var Model;!function(Model){var Logger=JSONRPC2.Helper.Logger,ServerResponse=function(){function ServerResponse(){this.jsonrpc=JSONRPC2.VERSION}return ServerResponse.fromJson=function(json){var pkt,result=JSONRPC2.Validator.tryParseJSON(json);return result.valid?(pkt=result.json,"jsonrpc"in pkt&&pkt.jsonrpc==JSONRPC2.VERSION?"result"in pkt?new Model.Response(pkt.result,pkt.id):"error"in pkt?new Model.Error(pkt.error,pkt.id):void 0:new Model.Error(JSONRPC2.ErrInvalidRequest,null)):(Logger.error("Not a valid JSON response is gotten"),new Model.Error(JSONRPC2.ErrParseError,null))},ServerResponse.prototype.toJson=function(){var pkt=jQuery.extend(!0,{},this);return void 0==this.id&&delete pkt.id,void 0==this.error&&delete pkt.error,void 0==this.result&&delete pkt.result,JSON.stringify(pkt)},ServerResponse.prototype.getID=function(){return this.id},ServerResponse.prototype.getResult=function(){return this.result},ServerResponse.prototype.getError=function(){return this.error},ServerResponse}();Model.ServerResponse=ServerResponse}(Model=JSONRPC2.Model||(JSONRPC2.Model={}))}(JSONRPC2||(JSONRPC2={}));var JSONRPC2;!function(JSONRPC2){var Model;!function(Model){var Logger=JSONRPC2.Helper.Logger,ClientRequest=function(){function ClientRequest(method,params,id){this.jsonrpc=JSONRPC2.VERSION,this.method=method,this.params=params,this.id=id}return ClientRequest.prototype.toJson=function(){var pkt=jQuery.extend(!0,{},this);return void 0==this.id&&delete pkt.id,void 0==this.params&&delete pkt.params,JSON.stringify(pkt)},ClientRequest.fromJson=function(json){var result=JSONRPC2.Validator.tryParseJSON(json);if(!result.valid)return Logger.error("Not a valid JSON request is gotten"),new Model.Error(JSONRPC2.ErrParseError,null);var pkt=result.json;return"jsonrpc"in pkt&&pkt.jsonrpc==JSONRPC2.VERSION?"id"in pkt?new ClientRequest(pkt.method,pkt.params,pkt.id):new Model.Notification(pkt.method,pkt.params):new Model.Error(JSONRPC2.ErrInvalidRequest,null)},ClientRequest.prototype.send=function(c){return c.execute(this)},ClientRequest.prototype.getID=function(){return this.id},ClientRequest.prototype.getMethod=function(){return this.method},ClientRequest.prototype.getParams=function(){return this.params},ClientRequest}();Model.ClientRequest=ClientRequest}(Model=JSONRPC2.Model||(JSONRPC2.Model={}))}(JSONRPC2||(JSONRPC2={}));var JSONRPC2;!function(JSONRPC2){var Model;!function(Model){var GUID=JSONRPC2.Helper.GUID,Request=function(_super){function Request(method,params){var _this=_super.call(this,method,params)||this;return _this.id=GUID.generate(),_this}return __extends(Request,_super),Request}(Model.ClientRequest);Model.Request=Request}(Model=JSONRPC2.Model||(JSONRPC2.Model={}))}(JSONRPC2||(JSONRPC2={}));var JSONRPC2;!function(JSONRPC2){var Model;!function(Model){var Notification=function(_super){function Notification(method,params){var _this=_super.call(this,method,params)||this;return _this.id=void 0,_this}return __extends(Notification,_super),Notification.prototype.send=function(c){return _super.prototype.send.call(this,c)},Notification}(Model.ClientRequest);Model.Notification=Notification}(Model=JSONRPC2.Model||(JSONRPC2.Model={}))}(JSONRPC2||(JSONRPC2={}));var JSONRPC2;!function(JSONRPC2){var Model;!function(Model){var Response=function(_super){function Response(result,id){var _this=_super.call(this)||this;return _this.result=result,_this.id=id,_this}return __extends(Response,_super),Response.prototype.getResult=function(){return this.result},Response}(Model.ServerResponse);Model.Response=Response}(Model=JSONRPC2.Model||(JSONRPC2.Model={}))}(JSONRPC2||(JSONRPC2={}));var JSONRPC2;!function(JSONRPC2){var Model;!function(Model){var Error=function(_super){function Error(error,id){var _this=_super.call(this)||this;return _this.error=error,_this.id=id,_this}return __extends(Error,_super),Error.prototype.getCode=function(){return this.error.code},Error.prototype.getMessage=function(){return this.error.message},Error.prototype.getData=function(){return this.error.data||{}},Error}(Model.ServerResponse);Model.Error=Error}(Model=JSONRPC2.Model||(JSONRPC2.Model={}))}(JSONRPC2||(JSONRPC2={}));